/**
 * \file
 *
 * \brief Empty user application template
 *
 */

/**
 * \mainpage User Application template doxygen documentation
 *
 * \par Empty user application template
 *
 * Bare minimum empty user application template
 *
 * \par Content
 *
 * -# Include the ASF header files (through asf.h)
 * -# Minimal main function that starts with a call to board_init()
 * -# "Insert application code here" comment
 *
 */

/*
 * Include header files for all drivers that have been imported from
 * Atmel Software Framework (ASF).
 */
#include <asf.h>
#define UP true
#define DOWN false
#define PWM_FREQUENCY 100

int main (void)
{
	
    struct pwm_config pwm_led2, pwm_led3;
	uint8_t led2_brightness = 100;
	bool led2_direction = UP;
	
	uint8_t text[10] = "Hello!";
	
	sysclk_init();
	board_init();
	sio2host_init();
	pwm_init(&pwm_led2, PWM_TCE0, PWM_CH_C, PWM_FREQUENCY);
	pwm_init(&pwm_led3, PWM_TCE0, PWM_CH_D, PWM_FREQUENCY);

	LED_On(LED0);
	delay_s(1);
	LED_On(LED1);
	delay_s(1);
	pwm_start(&pwm_led2, led2_brightness);
	pwm_start(&pwm_led3, (100 - led2_brightness));
	 
	sio2host_tx (text, 6);
		
	while(1){
	
		delay_ms(10);

		pwm_set_duty_cycle_percent(&pwm_led2,led2_brightness);
        pwm_set_duty_cycle_percent(&pwm_led3,(100-led2_brightness));
	
		if (led2_brightness == 0) led2_direction = DOWN;
		if (led2_brightness == 100) led2_direction = UP;
	
	
		if (led2_direction) {
			led2_brightness--;
		} else {
			led2_brightness++;
		}
		
		

	}


}
